#ifndef REDIRECTIONS_PRIVATE
# define REDIRECTIONS_PRIVATE
# include <sys/stat.h>
# include <fcntl.h>
# include <stddef.h>
# include <unistd.h>
# include "../libftx/libftx.h"
# include "../data/data.h"
# include "../env/env.h"
# include "../utils/utils.h"
# include "../cmd/cmd.h"

int			ft_file_is_readable(t_data *data, const char *path);
int			ft_file_is_writable(t_data *data, const char *path);
int			ft_file_is_appendable(t_data *data, const char *path);
int			ft_heredoc(t_data *data, char *stop);

#endif
